#include "SDL_pad.h"

int Pad_thre_plus[PAD_JOYSTICK_NUM][2], Pad_thre_minus[PAD_JOYSTICK_NUM][2];

void Pad_SetJoystickThreshold(int joy, int val, int axis) {
    switch (axis) {
    case PAD_AXIS_UP:
        Pad_SetJoystickThresholdUp(joy, val); break;
    case PAD_AXIS_RIGHT:
        Pad_SetJoystickThresholdRight(joy, val); break;
    case PAD_AXIS_DOWN:
        Pad_SetJoystickThresholdDown(joy, val); break;
    case PAD_AXIS_LEFT:
        Pad_SetJoystickThresholdLeft(joy, val); break;
    default:
        Pad_SetError("unknown axis: %d", axis);
    }
}
void Pad_SetJoystickThresholdUp(int joy, int val) {
    Pad_thre_minus[joy][1] = val;
}
void Pad_SetJoystickThresholdRight(int joy, int val) {
    Pad_thre_plus[joy][0] = val;
}
void Pad_SetJoystickThresholdDown(int joy, int val) {
    Pad_thre_plus[joy][1] = val;
}
void Pad_SetJoystickThresholdLeft(int joy, int val) {
    Pad_thre_minus[joy][0] = val;
}

/**
 * ƤѥåкŹĤꡣ濴̵֥ѥåɤʤȤ
 */
Sint16 Pad_JoystickGetAxis(SDL_Joystick* joystick, int axis, Uint32 mode)
{
    int j = SDL_JoystickIndex(joystick);
	return (SDL_JoystickGetAxis(joystick, axis) > Pad_thre_plus[j][axis])
		-  (SDL_JoystickGetAxis(joystick, axis) < -Pad_thre_minus[j][axis]);
}

/**
 * 㥿б褦
 */
Uint8 Pad_JoystickGetButton(SDL_Joystick* joystick, int button) {
	return SDL_JoystickGetButton(joystick, button);
}
